import { use_auction_client } from 'ferda_auction_js/auctionClient'

export const generate_csv = async(url, params, file_name) => {
    const { data } = await use_auction_client(url, 'GET', null, params)
    if (!data) {
        return null
    }

    const lines = data.trim().split('\n')
    const blob = new Blob(lines, { type: 'text/csv;charset=utf-8' })

    const csvUrl = URL.createObjectURL(blob)
    const link = document.createElement('a')
    link.setAttribute('href', csvUrl)
    link.setAttribute('download', `${file_name}.csv`)
    link.click()

    URL.revokeObjectURL(csvUrl)
}
